Please upgrade your browser for the best possible experience.

Chrome Firefox Internet Explorer

iPod Touch 1st Gen Security App


CptFluffins's Avatar

12.15.2011 , 09:42 AM | #1
The app is not compatible with the 1st Generation iPod touches.
Its a security key app ffs. If Blizzard can make one that works on the 1G, why can't you Bioware?

Fix this please. Kay. Thanks.
Through victory, my chains are broken.
The Force shall free me